summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMaciej Mrozowski <reavertm@gentoo.org>2010-05-25 21:16:54 +0000
committerMaciej Mrozowski <reavertm@gentoo.org>2010-05-25 21:16:54 +0000
commit76aa5e912212cb04995bc003511de68f3903b0c3 (patch)
tree62237814a228dcba0817dc59dce21128541b56f1 /eclass
parentstable amd64, bug 318457 (diff)
downloadhistorical-76aa5e912212cb04995bc003511de68f3903b0c3.tar.gz
historical-76aa5e912212cb04995bc003511de68f3903b0c3.tar.bz2
historical-76aa5e912212cb04995bc003511de68f3903b0c3.zip
Quote function arguments
Diffstat (limited to 'eclass')
-rw-r--r--eclass/base.eclass10
1 files changed, 5 insertions, 5 deletions
diff --git a/eclass/base.eclass b/eclass/base.eclass
index 5b8ba10fa081..cca0eb19ef54 100644
--- a/eclass/base.eclass
+++ b/eclass/base.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/base.eclass,v 1.51 2010/05/25 20:37:12 reavertm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/base.eclass,v 1.52 2010/05/25 21:16:54 reavertm Exp $
# @ECLASS: base.eclass
# @MAINTAINER:
@@ -121,7 +121,7 @@ base_src_configure() {
debug-print-function $FUNCNAME "$@"
# there is no pushd ${S} so we can override its place where to run
- [[ -x ${ECONF_SOURCE:-.}/configure ]] && econf $@
+ [[ -x ${ECONF_SOURCE:-.}/configure ]] && econf "$@"
}
# @FUNCTION: base_src_compile
@@ -132,7 +132,7 @@ base_src_compile() {
debug-print-function $FUNCNAME "$@"
has src_configure ${BASE_EXPF} || base_src_configure
- base_src_make $@
+ base_src_make "$@"
}
# @FUNCTION: base_src_make
@@ -142,7 +142,7 @@ base_src_make() {
debug-print-function $FUNCNAME "$@"
if [[ -f Makefile || -f GNUmakefile || -f makefile ]]; then
- emake $@ || die "died running emake, $FUNCNAME:make"
+ emake "$@" || die "died running emake, $FUNCNAME:make"
fi
}
@@ -154,7 +154,7 @@ base_src_make() {
base_src_install() {
debug-print-function $FUNCNAME "$@"
- emake DESTDIR="${D}" $@ install || die "died running make install, $FUNCNAME:make"
+ emake DESTDIR="${D}" "$@" install || die "died running make install, $FUNCNAME:make"
base_src_install_docs
}